#include <stdio.h>
#include <pipi.h>

int main(int argc, char *argv[])
{
    if(argc!=2)
    {
        fprintf(stderr, "Need one argument (only)\n");
        return -1;
    }

    pipi_pixel_t *color = pipi_get_color_from_string(argv[1]);
    printf("Color : %f %f %f %f\n",
           color->pixel_float.r,
           color->pixel_float.g,
           color->pixel_float.b,
           color->pixel_float.a);

    return 0;
}
